# Uses of Class
com.opensymphony.module.sitemesh.html.util.CharArray

Packages that use CharArray
Package
Description
com.opensymphony.module.sitemesh.html
com.opensymphony.module.sitemesh.html.rules
com.opensymphony.module.sitemesh.html.tokenizer
com.opensymphony.module.sitemesh.html.util
com.opensymphony.module.sitemesh.parser

## Uses of CharArray in com.opensymphony.module.sitemesh.html

Fields in com.opensymphony.module.sitemesh.html declared as CharArray
Modifier and Type
Field
Description
`private final CharArray`
HTMLProcessor.`out`
Methods in com.opensymphony.module.sitemesh.html that return CharArray
Modifier and Type
Method
Description
`protected CharArray`
BlockExtractingRule.`createBuffer()`
`protected CharArray`
BasicRule.`currentBuffer()`
`CharArray`
HTMLProcessorContext.`currentBuffer()`
`CharArray`
HTMLProcessorContext.`popBuffer()`
Methods in com.opensymphony.module.sitemesh.html with parameters of type CharArray
Modifier and Type
Method
Description
`void`
HTMLProcessorContext.`pushBuffer(CharArray buffer)`
`void`
CustomTag.`writeTo(CharArray out)`
`void`
Tag.`writeTo(CharArray out)`
Write out the complete tag in its original form, preserving original formatting.
`void`
Text.`writeTo(CharArray out)`
Write out the complete contents of the text block, preserving original formatting.
Constructors in com.opensymphony.module.sitemesh.html with parameters of type CharArray
Modifier
Constructor
Description
``
`HTMLProcessor(char[] in, CharArray out)`

## Uses of CharArray in com.opensymphony.module.sitemesh.html.rules

Fields in com.opensymphony.module.sitemesh.html.rules declared as CharArray
Modifier and Type
Field
Description
`private final CharArray`
BodyTagRule.`body`
`private final CharArray`
HeadExtractingRule.`head`
Methods in com.opensymphony.module.sitemesh.html.rules that return CharArray
Modifier and Type
Method
Description
`protected CharArray`
HeadExtractingRule.`createBuffer()`
Constructors in com.opensymphony.module.sitemesh.html.rules with parameters of type CharArray
Modifier
Constructor
Description
``
`BodyTagRule(PageBuilder page, CharArray body)`
``
`HeadExtractingRule(CharArray head)`

## Uses of CharArray in com.opensymphony.module.sitemesh.html.tokenizer

Fields in com.opensymphony.module.sitemesh.html.tokenizer declared as CharArray
Modifier and Type
Field
Description
`private final CharArray`
Parser.`attributeBuffer`
Methods in com.opensymphony.module.sitemesh.html.tokenizer with parameters of type CharArray
Modifier and Type
Method
Description
`void`
Parser.ReusableToken.`writeTo(CharArray out)`

## Uses of CharArray in com.opensymphony.module.sitemesh.html.util

Methods in com.opensymphony.module.sitemesh.html.util that return CharArray
Modifier and Type
Method
Description
`CharArray`
CharArray.`append(char c)`
Appends a single character to the end of the character array.
`CharArray`
CharArray.`append(char[] chars)`
Appends the supplied characters to the end of the array.
`CharArray`
CharArray.`append(char[] chars, int position, int length)`
`CharArray`
CharArray.`append(CharArray chars)`
Appends an existing CharArray on to this one.
`CharArray`
CharArray.`append(String str)`
Appends the supplied string to the end of this character array.
Methods in com.opensymphony.module.sitemesh.html.util with parameters of type CharArray
Modifier and Type
Method
Description
`CharArray`
CharArray.`append(CharArray chars)`
Appends an existing CharArray on to this one.

## Uses of CharArray in com.opensymphony.module.sitemesh.parser

Fields in com.opensymphony.module.sitemesh.parser declared as CharArray
Modifier and Type
Field
Description
`private CharArray`
TokenizedHTMLPage.`body`
`private CharArray`
TokenizedHTMLPage.`head`
Methods in com.opensymphony.module.sitemesh.parser with parameters of type CharArray
Modifier and Type
Method
Description
`private static FastPageParser.Tag`
FastPageParser.`parseProperties(FastPageParser.Tag tag, CharArray buffer)`
Deprecated.
This is called when we need to extract the properties for the tag from the tag's HTML.
`private FastPageParser.Tag`
FastPageParser.`parseTag(FastPageParser.Tag tag, CharArray buf)`
Deprecated.
Populates a `FastPageParser.Tag` object using data from the supplied `CharArray`.
`private static void`
FastPageParser.`writeTag(int state, int laststate, boolean hide, CharArray _head, CharArray _buffer, CharArray _body)`
Deprecated.
Constructors in com.opensymphony.module.sitemesh.parser with parameters of type CharArray
Modifier
Constructor
Description
``
`TokenizedHTMLPage(char[] original, CharArray body, CharArray head)`